Skip to main content
GET
/
parcel-templates
cURL
curl https://api.goshippo.com/parcel-templates  \
-H "Authorization: ShippoToken <API_TOKEN>" \
-H "Content-Type: application/json"
{
  "results": [
    {
      "carrier": "FedEx",
      "distance_unit": "in",
      "height": "1.5",
      "is_variable_dimensions": false,
      "length": "12.375",
      "name": "FedEx® Small Box (S1)",
      "token": "FedEx_Box_Small_1",
      "width": "10.875"
    }
  ]
}

Authorizations

Authorization
string
header
default:ShippoToken shippo_test_d41a6f04796998570c521a50828eae8e3cccf0eb
required

API key authentication using the ShippoToken scheme. Format: Authorization: ShippoToken <API_TOKEN> Example: Authorization: ShippoToken shippo_live_abc123

Headers

SHIPPO-API-VERSION
string
default:2018-02-08

Optional string used to pick a non-default API version to use. See our API version guide.

Example:

"2018-02-08"

Query Parameters

include
enum<string>

filter by user or enabled

Available options:
all,
user,
enabled
carrier
string

filter by specific carrier

Response

List of carrier parcel templates

results
Carrier Parcel Template · object[]